# coding: utf-8
# pylint: disable=unused-argument
from __future__ import unicode_literals

from django.db import migrations

from .. import d15n_managers_registry


def install(apps, schema_editor):
    if schema_editor.connection.alias in d15n_managers_registry:
        manager = d15n_managers_registry.get(schema_editor.connection.alias)
        manager.install()


def uninstall(apps, schema_editor):
    if schema_editor.connection.alias in d15n_managers_registry:
        manager = d15n_managers_registry.get(schema_editor.connection.alias)
        manager.uninstall()


class Migration(migrations.Migration):

    dependencies = []

    operations = [
        migrations.RunPython(
            code=install,
            reverse_code=uninstall,
        ),
    ]
